%define peardir /usr/share/pear
%define xmldir  /var/lib/pear
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name    timeobjects
%global pear_channel pear.horde.org
%define name timeobjects
%define version 3.0.0alpha4 
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: PEAR: Horde timeobjects application
License: BSD-2-Clause
Group: Development/Libraries
Source0: http://pear.horde.org/get/timeobjects-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/timeobjects
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: php-horde-Horde-Role >= 1.0.0
Requires: php-horde-Horde-Core >= 3.0.0
Requires: php-horde-Horde-Core < 4.0.0alpha1
Requires: php-horde-Horde-Date >= 3.0.0
Requires: php-horde-Horde-Date < 4.0.0alpha1
Requires: php-horde-Horde-Exception >= 3.0.0
Requires: php-horde-Horde-Exception < 4.0.0alpha1
Requires: php-horde-Horde-Url >= 3.0.0
Requires: php-horde-Horde-Url < 4.0.0alpha1
Requires: php-horde-Horde-Util >= 3.0.0
Requires: php-horde-Horde-Util < 4.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch
BuildRequires: php-horde-Horde-Role
BuildRequires: php-channel-horde
Requires: php-channel-horde
BuildRequires:  gettext
Provides:       %{name} = %{version}

%description
The timeobjects application doesn't have an interface but provides streams
of events to any applications that can consume them, notably the Horde
calendar application. It contains drivers for facebook events and weather
forecasts and can easily be extended by custom drivers.

%prep
%setup -q -c
cd %{pear_name}-%{version}

# v3.0.0 package.xml has moved
mv package.xml ../
# Don't install .po and .pot files
# Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/Horde_Other.po/d' \
    -e '/%{pear_name}.mo/s/md5sum="[^"]*"//' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}

# Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

# Locales
for loc in locale/{??,??_??}
do
    lang=$(basename $loc)
    test -d %{buildroot}%{pear_datadir}/%{pear_name}/$loc \
         && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files 
#-f %{pear_name}.lang
%defattr(-,root,root)
%doc %{pear_hordedir}
%{pear_xmldir}/timeobjects.xml
%doc %{pear_docdir}/%{pear_name}

%changelog
* Sat Mar 16 2024 Jean-Philippe Pialasse <jpp@koozali.org> 3.0.0alpha4-1.sme
- first release for SME11 and Horde Framework 6

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Jun 17 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.1.2-3.sme
- new spec file to build in SME buildsys
- inspired from Remi Collet php-horde-Service-Weather
- [SME: 9601]
- add gettext as buildrequires (bump 3)

* Tue Apr 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.2-1
- Update to 2.1.2

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.1-1
- Update to 2.1.1

* Tue May 13 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.0-1
- Update to 2.1.0

* Fri Jun 21 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.4-1
- Update to 2.0.4

* Tue Jun 4 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.3-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

